package com.zbf.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 device_log
 *
 * @author tony
 * @date 2024-10-22
 */
@TableName(resultMap = "com.zbf.system.mapper.DeviceLogMapper.DeviceLogResult")
public class DeviceLog extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String code;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String msg;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String orders;

    private String obj;

    public void setId(Long id)
            {
            this.id = id;
            }

    public Long getId()
            {
            return id;
            }
    public void setCode(String code)
            {
            this.code = code;
            }

    public String getCode()
            {
            return code;
            }
    public void setMsg(String msg)
            {
            this.msg = msg;
            }

    public String getMsg()
            {
            return msg;
            }
    public void setOrders(String orders)
            {
            this.orders = orders;
            }

    public String getOrders()
            {
            return orders;
            }

    public String getObj() {
        return obj;
    }

    public void setObj(String obj) {
        this.obj = obj;
    }

    @Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("msg", getMsg())
            .append("orders", getOrders())
        .toString();
        }
}


















